Haveno daemon client.

### Hierarchy

- HavenoClient

## Index

### Constructors

- constructor

### Methods

- accountExists
- addMoneroConnection
- addNotificationListener
- backupAccount
- changePassword
- checkMoneroConnection
- checkMoneroConnections
- closeAccount
- completeTrade
- confirmPaymentReceived
- confirmPaymentStarted
- createAccount
- createCryptoPaymentAccount
- createPaymentAccount
- createXmrTx
- deleteAccount
- disconnect
- getAppName
- getBalances
- getBestAvailableConnection
- getChatMessages
- getDispute
- getDisputes
- getMarketDepth
- getMoneroConnection
- getMoneroConnections
- getMoneroNodeSettings
- getMyOffer
- getMyOffers
- getOffers
- getPaymentAccount
- getPaymentAccountForm
- getPaymentAccounts
- getPaymentMethods
- getPrice
- getPrices
- getProcess
- getSupportedAssetCodes
- getTrade
- getTrades
- getUrl
- getVersion
- getWalletRpcPort
- getXmrNewSubaddress
- getXmrPrimaryAddress
- getXmrSeed
- getXmrTx
- getXmrTxs
- isAccountOpen
- isConnectedToDaemon
- isConnectedToMonero
- isMoneroNodeOnline
- openAccount
- openDispute
- postOffer
- registerDisputeAgent
- relayXmrTx
- removeMoneroConnection
- removeNotificationListener
- removeOffer
- resolveDispute
- restoreAccount
- sendChatMessage
- sendDisputeChatMessage
- setAutoSwitch
- setMoneroConnection
- setProcessLogging
- shutdownServer
- startCheckingConnection
- startMoneroNode
- stopCheckingConnection
- stopMoneroNode
- takeOffer
- unregisterDisputeAgent
- validateFormField
- startProcess

## Constructors

### constructor

- new HavenoClient(url: string, password: string): HavenoClient

- - Defined in src/HavenoClient.ts:54

  Construct a client connected to a Haveno daemon.

  #### Parameters

  - ##### url: string

    Haveno daemon url

  - ##### password: string

    Haveno daemon password

  #### Returns HavenoClient

## Methods

### accountExists

- accountExists(): Promise<boolean>

- - Defined in src/HavenoClient.ts:255

  Indicates if the Haveno account is created.

  #### Returns Promise<boolean>

  true if the account is created, false otherwise

### addMoneroConnection

- addMoneroConnection(connection: string | UrlConnection ): Promise<void>

- - Defined in src/HavenoClient.ts:464

  Add a Monero daemon connection.

  #### Parameters

  - ##### connection: string | UrlConnection

    daemon url or connection to add

  #### Returns Promise<void>

### addNotificationListener

- addNotificationListener(listener: (_notification: NotificationMessage ) => void): Promise<void>

- - Defined in src/HavenoClient.ts:430

  Add a listener to receive notifications from the Haveno daemon.

  #### Parameters

  - ##### listener: (_notification: NotificationMessage ) => void

    the notification listener to add

    - - (_notification: NotificationMessage ): void

      - #### Parameters

        - ##### _notification: NotificationMessage

        #### Returns void

  #### Returns Promise<void>

### backupAccount

- backupAccount(stream: any): Promise<number>

- - Defined in src/HavenoClient.ts:377

  Backup the account to the given stream. TODO: stream type?

  #### Parameters

  - ##### stream: any

  #### Returns Promise<number>

### changePassword

- changePassword(password: string): Promise<void>

- - Defined in src/HavenoClient.ts:329

  Change the Haveno account password.

  #### Parameters

  - ##### password: string

    the new account password

  #### Returns Promise<void>

### checkMoneroConnection

- checkMoneroConnection(): Promise<undefined | UrlConnection >

- - Defined in src/HavenoClient.ts:564

  Check the current Monero daemon connection.

  If disconnected and auto switch enabled, switch to the best available connection and return its status.

  #### Returns Promise<undefined | UrlConnection >

  the current daemon connection status, undefined if no current connection

### checkMoneroConnections

- checkMoneroConnections(): Promise< UrlConnection []>

- - Defined in src/HavenoClient.ts:582

  Check all Monero daemon connections.

  #### Returns Promise< UrlConnection []>

  status of all managed connections.

### closeAccount

- closeAccount(): Promise<void>

- - Defined in src/HavenoClient.ts:345

  Close the currently open account.

  #### Returns Promise<void>

### completeTrade

- completeTrade(tradeId: string): Promise<void>

- - Defined in src/HavenoClient.ts:1357

  Acknowledge that a trade has completed.

  #### Parameters

  - ##### tradeId: string

    the id of the trade

  #### Returns Promise<void>

### confirmPaymentReceived

- confirmPaymentReceived(tradeId: string): Promise<void>

- - Defined in src/HavenoClient.ts:1339

  Confirm a payment is received.

  #### Parameters

  - ##### tradeId: string

    the id of the trade

  #### Returns Promise<void>

### confirmPaymentStarted

- confirmPaymentStarted(tradeId: string): Promise<void>

- - Defined in src/HavenoClient.ts:1321

  Confirm a payment is started.

  #### Parameters

  - ##### tradeId: string

    the id of the trade

  #### Returns Promise<void>

### createAccount

- createAccount(password: string): Promise<void>

- - Defined in src/HavenoClient.ts:291

  Create and open a new Haveno account.

  #### Parameters

  - ##### password: string

    the password to encrypt the account

  #### Returns Promise<void>

### createCryptoPaymentAccount

- createCryptoPaymentAccount(accountName: string, assetCode: string, address: string): Promise< PaymentAccount >

- - Defined in src/HavenoClient.ts:1112

  Create a crypto payment account.

  #### Parameters

  - ##### accountName: string

    description of the account

  - ##### assetCode: string

    traded asset code

  - ##### address: string

    payment address of the account

  #### Returns Promise< PaymentAccount >

  the created payment account

### createPaymentAccount

- createPaymentAccount(paymentAccountForm: PaymentAccountForm ): Promise< PaymentAccount >

- - Defined in src/HavenoClient.ts:1091

  Create a payment account.

  #### Parameters

  - ##### paymentAccountForm: PaymentAccountForm

    the completed form to create the payment account

  #### Returns Promise< PaymentAccount >

  the created payment account

### createXmrTx

- createXmrTx(destinations: XmrDestination []): Promise< XmrTx >

- - Defined in src/HavenoClient.ts:882

  Create but do not relay a transaction to send funds from the Monero wallet.

  #### Parameters

  - ##### destinations: XmrDestination []

  #### Returns Promise< XmrTx >

  the created transaction

### deleteAccount

- deleteAccount(): Promise<void>

- - Defined in src/HavenoClient.ts:361

  Permanently delete the Haveno account and shutdown the server. // TODO: possible to not shutdown server?

  #### Returns Promise<void>

### disconnect

- disconnect(): Promise<void>

- - Defined in src/HavenoClient.ts:1519

  Disconnect this client from the server.

  #### Returns Promise<void>

### getAppName

- getAppName(): undefined | string

- - Defined in src/HavenoClient.ts:214

  Get the name of the Haveno application folder.

  #### Returns undefined | string

### getBalances

- getBalances(): Promise< XmrBalanceInfo >

- - Defined in src/HavenoClient.ts:778

  Get the user's balances.

  #### Returns Promise< XmrBalanceInfo >

  the user's balances

### getBestAvailableConnection

- getBestAvailableConnection(): Promise<undefined | UrlConnection >

- - Defined in src/HavenoClient.ts:634

  Get the best available connection in order of priority then response time.

  #### Returns Promise<undefined | UrlConnection >

  the best available connection in order of priority then response time, undefined if no connections available

### getChatMessages

- getChatMessages(tradeId: string): Promise< ChatMessage []>

- - Defined in src/HavenoClient.ts:1375

  Get all chat messages for a trade.

  #### Parameters

  - ##### tradeId: string

    the id of the trade

  #### Returns Promise< ChatMessage []>

### getDispute

- getDispute(tradeId: string): Promise< Dispute >

- - Defined in src/HavenoClient.ts:1416

  Get a dispute by trade id.

  #### Parameters

  - ##### tradeId: string

    the id of the trade

  #### Returns Promise< Dispute >

### getDisputes

- getDisputes(): Promise< Dispute []>

- - Defined in src/HavenoClient.ts:1432

  Get all disputes.

  #### Returns Promise< Dispute []>

### getMarketDepth

- getMarketDepth(assetCode: string): Promise< MarketDepthInfo >

- - Defined in src/HavenoClient.ts:969

  Get the market depth of a currency.

  #### Parameters

  - ##### assetCode: string

    asset to get the market depth of

  #### Returns Promise< MarketDepthInfo >

  market depth of the given currency

### getMoneroConnection

- getMoneroConnection(): Promise<undefined | UrlConnection >

- - Defined in src/HavenoClient.ts:500

  Get the current Monero daemon connection.

  #### Returns Promise<undefined | UrlConnection >

  the current daemon connection, undefined if no current connection

### getMoneroConnections

- getMoneroConnections(): Promise< UrlConnection []>

- - Defined in src/HavenoClient.ts:518

  Get all Monero daemon connections.

  #### Returns Promise< UrlConnection []>

  all daemon connections

### getMoneroNodeSettings

- getMoneroNodeSettings(): Promise<undefined | MoneroNodeSettings >

- - Defined in src/HavenoClient.ts:684

  Gets the current local monero node settings.

  #### Returns Promise<undefined | MoneroNodeSettings >

### getMyOffer

- getMyOffer(offerId: string): Promise< OfferInfo >

- - Defined in src/HavenoClient.ts:1178

  Get my offer by id.

  #### Parameters

  - ##### offerId: string

    id of the user's created offer

  #### Returns Promise< OfferInfo >

  the user's created offer

### getMyOffers

- getMyOffers(assetCode: string, direction?: string): Promise< OfferInfo []>

- - Defined in src/HavenoClient.ts:1158

  Get the user's posted offers to buy or sell XMR.

  #### Parameters

  - ##### assetCode: string

    traded asset code

  - ##### Optional direction: string

    "buy" or "sell" XMR (default all)

  #### Returns Promise< OfferInfo []>

  the user's created offers

### getOffers

- getOffers(assetCode: string, direction?: string): Promise< OfferInfo []>

- - Defined in src/HavenoClient.ts:1137

  Get available offers to buy or sell XMR.

  #### Parameters

  - ##### assetCode: string

    traded asset code

  - ##### Optional direction: string

    "buy" or "sell" (default all)

  #### Returns Promise< OfferInfo []>

  the available offers

### getPaymentAccount

- getPaymentAccount(paymentAccountId: string): Promise< PaymentAccount >

- - Defined in src/HavenoClient.ts:1033

  Get a payment account by id.

  #### Parameters

  - ##### paymentAccountId: string

    the payment account id to get

  #### Returns Promise< PaymentAccount >

  the payment account

### getPaymentAccountForm

- getPaymentAccountForm(paymentMethodId: string): Promise< PaymentAccountForm >

- - Defined in src/HavenoClient.ts:1048

  Get a form for the given payment method to complete and create a new payment account.

  #### Parameters

  - ##### paymentMethodId: string

    the id of the payment method

  #### Returns Promise< PaymentAccountForm >

  the payment account form

### getPaymentAccounts

- getPaymentAccounts(): Promise< PaymentAccount []>

- - Defined in src/HavenoClient.ts:1014

  Get payment accounts.

  #### Returns Promise< PaymentAccount []>

  the payment accounts

### getPaymentMethods

- getPaymentMethods(assetCode?: string): Promise< PaymentMethod []>

- - Defined in src/HavenoClient.ts:988

  Get payment methods.

  #### Parameters

  - ##### Optional assetCode: string

    get payment methods supporting this asset code (optional)

  #### Returns Promise< PaymentMethod []>

  the payment methods

### getPrice

- getPrice(assetCode: string): Promise<number>

- - Defined in src/HavenoClient.ts:932

  Get the current market price per 1 XMR in the given currency.

  #### Parameters

  - ##### assetCode: string

    asset code to get the price of

  #### Returns Promise<number>

  the price of the asset per 1 XMR

### getPrices

- getPrices(): Promise< MarketPriceInfo []>

- - Defined in src/HavenoClient.ts:950

  Get the current market prices of all a.

  #### Returns Promise< MarketPriceInfo []>

  prices of the assets per 1 XMR

### getProcess

- getProcess(): any

- - Defined in src/HavenoClient.ts:179

  Return the process running the haveno daemon.

  #### Returns any

  the process running the haveno daemon

### getSupportedAssetCodes

- getSupportedAssetCodes(): Promise<string[]>

- - Defined in src/HavenoClient.ts:920

  Get all supported assets codes.

  TODO: replace this with getSupportedAssetCodes(): Promise<TradeCurrency[]>)

  #### Returns Promise<string[]>

  all supported trade assets

### getTrade

- getTrade(tradeId: string): Promise< TradeInfo >

- - Defined in src/HavenoClient.ts:1285

  Get a trade by id.

  #### Parameters

  - ##### tradeId: string

    the id of the trade and its offer

  #### Returns Promise< TradeInfo >

  the trade with the given id

### getTrades

- getTrades(): Promise< TradeInfo []>

- - Defined in src/HavenoClient.ts:1303

  Get all trades.

  #### Returns Promise< TradeInfo []>

  all user trades

### getUrl

- getUrl(): string

- - Defined in src/HavenoClient.ts:198

  Get the URL of the Haveno daemon.

  #### Returns string

  the URL of the Haveno daemon

### getVersion

- getVersion(): Promise<string>

- - Defined in src/HavenoClient.ts:223

  Get the Haveno version.

  #### Returns Promise<string>

  the Haveno daemon version

### getWalletRpcPort

- getWalletRpcPort(): undefined | number

- - Defined in src/HavenoClient.ts:207

  Get the port of the primary wallet rpc instance if known.

  #### Returns undefined | number

  the port of the primary wallet rpc instance if known

### getXmrNewSubaddress

- getXmrNewSubaddress(): Promise<string>

- - Defined in src/HavenoClient.ts:832

  Get a new subaddress in the Monero wallet to receive deposits.

  #### Returns Promise<string>

  the deposit address (a subaddress in the Haveno wallet)

### getXmrPrimaryAddress

- getXmrPrimaryAddress(): Promise<string>

- - Defined in src/HavenoClient.ts:814

  Get the primary address of the Monero wallet.

  #### Returns Promise<string>

  the primary address of the Monero wallet

### getXmrSeed

- getXmrSeed(): Promise<string>

- - Defined in src/HavenoClient.ts:796

  Get the mnemonic seed phrase of the Monero wallet.

  #### Returns Promise<string>

  the mnemonic seed phrase of the Monero wallet

### getXmrTx

- getXmrTx(txHash: string): Promise< XmrTx >

- - Defined in src/HavenoClient.ts:869

  Get a transaction by hash in the Monero wallet.

  #### Parameters

  - ##### txHash: string

    hash of the transaction to get

  #### Returns Promise< XmrTx >

  the transaction with the hash

### getXmrTxs

- getXmrTxs(): Promise< XmrTx []>

- - Defined in src/HavenoClient.ts:850

  Get all transactions in the Monero wallet.

  #### Returns Promise< XmrTx []>

  the transactions

### isAccountOpen

- isAccountOpen(): Promise<boolean>

- - Defined in src/HavenoClient.ts:273

  Indicates if the Haveno account is open and authenticated with the correct password.

  #### Returns Promise<boolean>

  true if the account is open and authenticated, false otherwise

### isConnectedToDaemon

- isConnectedToDaemon(): Promise<boolean>

- - Defined in src/HavenoClient.ts:241

  Indicates if connected and authenticated with the Haveno daemon.

  #### Returns Promise<boolean>

  true if connected with the Haveno daemon, false otherwise

### isConnectedToMonero

- isConnectedToMonero(): Promise<boolean>

- - Defined in src/HavenoClient.ts:452

  Indicates if connected to the Monero network based on last connection check.

  #### Returns Promise<boolean>

  true if connected to the Monero network, false otherwise

### isMoneroNodeOnline

- isMoneroNodeOnline(): Promise<boolean>

- - Defined in src/HavenoClient.ts:668

  Returns whether daemon is running a local monero node.

  #### Returns Promise<boolean>

### openAccount

- openAccount(password: string): Promise<void>

- - Defined in src/HavenoClient.ts:310

  Open existing Haveno account.

  #### Parameters

  - ##### password: string

    the account password

  #### Returns Promise<void>

### openDispute

- openDispute(tradeId: string): Promise<void>

- - Defined in src/HavenoClient.ts:1450

  Open a dispute for a trade.

  #### Parameters

  - ##### tradeId: string

    the id of the trade

  #### Returns Promise<void>

### postOffer

- postOffer(direction: string, amount: bigint, assetCode: string, paymentAccountId: string, buyerSecurityDepositPct: number, price?: number, marketPriceMarginPct?: number, triggerPrice?: number, minAmount?: bigint): Promise< OfferInfo >

- - Defined in src/HavenoClient.ts:1205

  Post an offer.

  #### Parameters

  - ##### direction: string

    "buy" or "sell" XMR

  - ##### amount: bigint

    amount of XMR to trade

  - ##### assetCode: string

    asset code to trade for XMR

  - ##### paymentAccountId: string

    payment account id

  - ##### buyerSecurityDepositPct: number

    buyer security deposit as % of trade amount

  - ##### Optional price: number

    trade price (optional, default to market price)

  - ##### Optional marketPriceMarginPct: number

    if using market price, % from market price to accept (optional, default 0%)

  - ##### Optional triggerPrice: number

    price to remove offer (optional)

  - ##### Optional minAmount: bigint

    minimum amount to trade (optional, default to fixed amount)

  #### Returns Promise< OfferInfo >

  the posted offer

### registerDisputeAgent

- registerDisputeAgent(disputeAgentType: string, registrationKey: string): Promise<void>

- - Defined in src/HavenoClient.ts:739

  Register as a dispute agent.

  #### Parameters

  - ##### disputeAgentType: string

    type of dispute agent to register, e.g. mediator, refundagent

  - ##### registrationKey: string

    registration key

  #### Returns Promise<void>

### relayXmrTx

- relayXmrTx(metadata: string): Promise<string>

- - Defined in src/HavenoClient.ts:900

  Relay a previously created transaction to send funds from the Monero wallet.

  #### Parameters

  - ##### metadata: string

  #### Returns Promise<string>

  the hash of the relayed transaction

### removeMoneroConnection

- removeMoneroConnection(url: string): Promise<void>

- - Defined in src/HavenoClient.ts:482

  Remove a Monero daemon connection.

  #### Parameters

  - ##### url: string

    url of the daemon connection to remove

  #### Returns Promise<void>

### removeNotificationListener

- removeNotificationListener(listener: (_notification: NotificationMessage ) => void): Promise<void>

- - Defined in src/HavenoClient.ts:440

  Remove a notification listener.

  #### Parameters

  - ##### listener: (_notification: NotificationMessage ) => void

    the notification listener to remove

    - - (_notification: NotificationMessage ): void

      - #### Parameters

        - ##### _notification: NotificationMessage

        #### Returns void

  #### Returns Promise<void>

### removeOffer

- removeOffer(offerId: string): Promise<void>

- - Defined in src/HavenoClient.ts:1242

  Remove a posted offer, releasing its reserved funds.

  #### Parameters

  - ##### offerId: string

    the offer id to cancel

  #### Returns Promise<void>

### resolveDispute

- resolveDispute(tradeId: string, winner: Winner, reason: Reason, summaryNotes: string, customWinnerAmount?: bigint): Promise<void>

- - Defined in src/HavenoClient.ts:1473

  Resolve a dispute. By default, the winner receives the trade amount and the security deposits are returned, but the arbitrator may award a custom amount to the winner and the loser will get the rest.

  #### Parameters

  - ##### tradeId: string

    the id of the trade

  - ##### winner: Winner

    the winner of the dispute

  - ##### reason: Reason

    the reason for the dispute

  - ##### summaryNotes: string

    summary of the dispute

  - ##### Optional customWinnerAmount: bigint

    custom amount to award the winner (optional)

  #### Returns Promise<void>

### restoreAccount

- restoreAccount(zipBytes: Uint8Array): Promise<void>

- - Defined in src/HavenoClient.ts:406

  Restore the account from zip bytes.

  Sends chunked requests if size over max grpc envelope size (41943404 bytes).

  #### Parameters

  - ##### zipBytes: Uint8Array

    the bytes of the zipped account to restore

  #### Returns Promise<void>

### sendChatMessage

- sendChatMessage(tradeId: string, message: string): Promise<void>

- - Defined in src/HavenoClient.ts:1395

  Send a trade chat message.

  #### Parameters

  - ##### tradeId: string

    the id of the trade

  - ##### message: string

    the message

  #### Returns Promise<void>

### sendDisputeChatMessage

- sendDisputeChatMessage(disputeId: string, message: string, attachments: Attachment []): Promise<void>

- - Defined in src/HavenoClient.ts:1499

  Send a dispute chat message.

  #### Parameters

  - ##### disputeId: string

    the id of the dispute

  - ##### message: string

    the message

  - ##### attachments: Attachment []

    attachments

  #### Returns Promise<void>

### setAutoSwitch

- setAutoSwitch(autoSwitch: boolean): Promise<void>

- - Defined in src/HavenoClient.ts:652

  Automatically switch to the best available connection if current connection is disconnected after being checked.

  #### Parameters

  - ##### autoSwitch: boolean

    whether auto switch is enabled or disabled

  #### Returns Promise<void>

### setMoneroConnection

- setMoneroConnection(connection?: string | UrlConnection ): Promise<void>

- - Defined in src/HavenoClient.ts:541

  Set the current Monero daemon connection.

  Add the connection if not previously seen. If the connection is provided as string, connect to the URI with any previously set credentials and priority. If the connection is provided as UrlConnection, overwrite any previously set credentials and priority. If undefined connection provided, disconnect the client.

  #### Parameters

  - ##### Optional connection: string | UrlConnection

    connection to set as current

  #### Returns Promise<void>

### setProcessLogging

- setProcessLogging(enabled: boolean): void

- - Defined in src/HavenoClient.ts:188

  Enable or disable process logging.

  #### Parameters

  - ##### enabled: boolean

    specifies if logging is enabled or disabled

  #### Returns void

### shutdownServer

- shutdownServer(): Promise<void>

- - Defined in src/HavenoClient.ts:1526

  Shutdown the Haveno daemon server and stop the process if applicable.

  #### Returns Promise<void>

### startCheckingConnection

- startCheckingConnection(refreshPeriod: number): Promise<void>

- - Defined in src/HavenoClient.ts:600

  Check the connection and start checking the connection periodically.

  #### Parameters

  - ##### refreshPeriod: number

    time between checks in milliseconds (default 15000 ms or 15 seconds)

  #### Returns Promise<void>

### startMoneroNode

- startMoneroNode(settings: MoneroNodeSettings ): Promise<void>

- - Defined in src/HavenoClient.ts:703

  Starts the local monero node.

  #### Parameters

  - ##### settings: MoneroNodeSettings

    the settings to start the local node with

  #### Returns Promise<void>

### stopCheckingConnection

- stopCheckingConnection(): Promise<void>

- - Defined in src/HavenoClient.ts:616

  Stop checking the connection status periodically.

  #### Returns Promise<void>

### stopMoneroNode

- stopMoneroNode(): Promise<void>

- - Defined in src/HavenoClient.ts:720

  Stops the local monero node.

  #### Returns Promise<void>

### takeOffer

- takeOffer(offerId: string, paymentAccountId: string): Promise< TradeInfo >

- - Defined in src/HavenoClient.ts:1262

  Take an offer.

  #### Parameters

  - ##### offerId: string

    id of the offer to take

  - ##### paymentAccountId: string

    id of the payment account

  #### Returns Promise< TradeInfo >

  the initialized trade

### unregisterDisputeAgent

- unregisterDisputeAgent(disputeAgentType: string): Promise<void>

- - Defined in src/HavenoClient.ts:760

  Unregister as a dispute agent.

  #### Parameters

  - ##### disputeAgentType: string

    type of dispute agent to register, e.g. mediator, refundagent

  #### Returns Promise<void>

### validateFormField

- validateFormField(form: PaymentAccountForm, fieldId: FieldId, value: string): Promise<void>

- - Defined in src/HavenoClient.ts:1068

  #### Parameters

  - ##### form: PaymentAccountForm

  - ##### fieldId: FieldId

  - ##### value: string

  #### Returns Promise<void>

### Static startProcess

- startProcess(havenoPath: string, cmd: string[], url: string, enableLogging: boolean): Promise< HavenoClient >

- - Defined in src/HavenoClient.ts:84

  Start a new Haveno process.

  #### Parameters

  - ##### havenoPath: string

    path to Haveno binaries

  - ##### cmd: string[]

    command to start the process

  - ##### url: string

    Haveno daemon url (must proxy to api port)

  - ##### enableLogging: boolean

    specifies if logging is enabled or disabled at log level 3

  #### Returns Promise< HavenoClient >

  a client connected to the newly started Haveno process

Generated using TypeDoc